Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.beans
Class StateClassAccessor.StateFieldAccessor

    java.lang.Object
      kodo.beans.StateClassAccessor.StateFieldAccessor

All Implemented Interfaces:
  FieldAccessor

Enclosing class:
  StateClassAccessor

    public class StateClassAccessor.StateFieldAccessor

extends Object
implements FieldAccessor

Constructor Summary
`StateClassAccessor.StateFieldAccessor(org.apache.openjpa.meta.FieldMetaData meta)`

Method Summary
`boolean` | `declaresField(Object forObject)`
`boolean` | `equals(Object other)` Equality depends on the owning `ClassAccessor` and name and type of the field.
`ClassAccessor` | `getClassAccessor()` The owning `ClassAccessor` for this field.
`String` | `getName()` The name of the field.
`Class` | `getType()` The type of this field.
`Object` | `getValue(Object forObject)` Returns the field's value for the specified object.
`int` | `hashCode()` Equality depends on the owning `ClassAccessor` and name and type of the field.
`boolean` | `isEditable(Object forObject)` Returns `true` if this field is editable; else returns `false`.
`void` | `setValue(Object forObject, Object value)` Set the value of the specified field.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateClassAccessor.StateFieldAccessor

    public StateClassAccessor.StateFieldAccessor(org.apache.openjpa.meta.FieldMetaData meta)

Method Detail

### getType

    public Class getType()

  Description copied from interface: `FieldAccessor`
  The type of this field.

  Specified by:
    `getType` in interface `FieldAccessor`

### getName

    public String getName()

  Description copied from interface: `FieldAccessor`
  The name of the field.

  Specified by:
    `getName` in interface `FieldAccessor`

### getClassAccessor

    public ClassAccessor getClassAccessor()

  Description copied from interface: `FieldAccessor`
  The owning `ClassAccessor` for this field.

  Specified by:
    `getClassAccessor` in interface `FieldAccessor`

### declaresField

    public boolean declaresField(Object forObject)

### getValue

    public Object getValue(Object forObject)

  Description copied from interface: `FieldAccessor`
  Returns the field's value for the specified object.

  Specified by:
    `getValue` in interface `FieldAccessor`
  Parameters:
    `forObject` - the object for which to return the field value

### setValue

    public void setValue(Object forObject,
                         Object value)

  Description copied from interface: `FieldAccessor`
  Set the value of the specified field.

  Specified by:
    `setValue` in interface `FieldAccessor`
  Parameters:
    `forObject` - the object whose field should be set
    `value` - the new value to apply to the field

### isEditable

    public boolean isEditable(Object forObject)

  Description copied from interface: `FieldAccessor`
  Returns `true` if this field is editable; else returns `false`.

  Specified by:
    `isEditable` in interface `FieldAccessor`
  Parameters:
    `forObject` - the object whose field may be set

### hashCode

    public int hashCode()

  Description copied from interface: `FieldAccessor`
  Equality depends on the owning `ClassAccessor` and name and type of the field.

  Specified by:
    `hashCode` in interface `FieldAccessor`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Description copied from interface: `FieldAccessor`
  Equality depends on the owning `ClassAccessor` and name and type of the field.

  Specified by:
    `equals` in interface `FieldAccessor`
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.